Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# InlineGif

class praw.models.InlineGif(*, caption: str = None, path: str)

  Class to provide a gif to embed in text.

  __init__(*, caption: str = None, path: str)

    Initialize an `InlineMedia` instance.

    Parameters:

      - caption – An optional caption to add to the image (default: `None`).

      - path – The path to a media file.